Subject: RE: updated v6ops agenda, presentation of way forward

From: "Bound, Jim" <[email-masked]>
Date: Wed, 10 Nov 2004 06:14:15 -0500

Pekka,

I want to be sure I read this correctly.  But, the way I read the URLs
below, which are all pretty good, there is no place to work on
transition mechanisms we all have been waiting to work on since NGTRANS
in the IETF. There is no protocol group to work on transition mechanisms
other than v6ops.

I for one support the charters proposed and good set of work to do on
that which is depicted.  

But, the IETF again pokes a sharp stick in the eye of all the authors of
Teredo, DSTM, ISATAP, and Tunnel Brokers.  Not to good from my view and
cowardly indirect act, dishonroable, but as it was done in a process we
can't really blame individuals can we now.

But actually this may be a blessing finally.  It means industry and the
vendors must now look to another set of bodies to build the deployment
transition mechanisms and gather consensus from implementors these are
the methods, which users have requested from our products.  That
actually will get them done faster so this may be one of the best days
of my IPv6 life if the IETF gives up. Great.  We have waited to long.
Good news is many vendors are ready to do this out of the IETF and users
too, and several bodies are willing to take this on.  So thanks for
making a decision.

Will move forward and to the list we will have those in waiting done and
signed off by industry by Sept 2005 with the proper status as a defacto
but dejure created set of open standards for IPv6 Transition Mechanisms
and then pronounced to the market world wide to further support
decisions like 3GPP's to adopt ISATAP and we will make this body
influential for this part of the IPv6 transition. And I always do what I
say I am going to do or let you know with enough advance notice so your
not twisting in the wind waiting on what I said I was going to do. It is
a subtle attribute associated with honor.  Of course I have already
begun this process so its not like it will be from scratch as I and
others perceived this decision.  Then we will build other ones as
required. 

P.S. Authors of DSTM, Teredo, ISATAP, and Tunnel Brokers I will be in
touch in a few weeks.

Thank You.
/jim 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Pekka Savola
> Sent: Tuesday, November 09, 2004 6:52 PM
> To: [email-masked]
> Subject: updated v6ops agenda, presentation of way forward
> 
> Hi,
> 
> Slightly modified agenda for tomorrow (relating to the way 
> forward and tunneling discussions) is below and posted at:
> 
>    http://netcore.fi/pekkas/ietf/61/v6ops-agenda.txt
> 
> Also, the rough slides (these will be updated a bit) are 
> available beforehand at:
> 
>    http://netcore.fi/pekkas/ietf/61/way-forward.pdf
> 
> ....
> 
> 
> Wednesday 10th November -- 0900-1130
> ====================================
> 
> *** CRITICAL PATH ACTIVITIES ***
> 
> Introduction, agenda bashing, document status - 5 mins, Chairs/Savola
>    - Scribes! (Jabber also?)
> 
> Enterprise Analysis Discussion, 15 mins, Bound
>   - draft-ietf-v6ops-ent-analysis-00.txt
>   - GOAL: discuss issues, so that the revision can be WGLC'ed
> 
> Discussion of the way forward - 30 mins, Chairs/WG
>   - http://netcore.fi/pekkas/ietf/61/way-forward.pdf
>   - http://netcore.fi/pekkas/ietf/61/v6ops-dow.txt
>   - http://netcore.fi/pekkas/ietf/61/v6tc-charter.txt
>   - http://netcore.fi/pekkas/ietf/61/v6tc-justification.txt
>   - GOAL: discuss the scope of v6ops WG work; gain consensus 
> on the way forward
> 
> Goals for Zero-Configuration Tunneling in 3GPP, 1 min, Nielsen
>   - draft-nielsen-v6ops-3GPP-zeroconf-goals-00.txt
>   - GOAL: To highlight the particularities of the 3GPP case
> 
> Generic Zero-Configuration Tunneling, 10 mins, Palet
>   - 
> http://www.v6ops.euro6ix.net/ietf/draft-suryanarayanan-v6ops-z
> eroconf-reqs-01.txt
>   - GOAL: Discuss the issues raised, if needed.
> 
> *** OTHER IMPORTANT WORK ***
> 
> IPv6 Network Architecture Protection, 10 mins, Van de Velde
>   - draft-vandevelde-v6ops-nap-00.txt
>   - GOAL: introduce and start the discussion about v4 NAT 
> alternatives in IPv6
> 
> Reason to Deprecate NAT-PT, 15 mins, Davies
>   - draft-aoun-v6ops-natpt-deprecate-00.txt
>   - GOAL: 5 mins presentation, 10 mins trying to decide next steps
> 
> ISP IPv6 Deployment Scenarios in Broadband Access Networks, 
> 15 mins, Popoviciu
>   - draft-asadullah-v6ops-bb-deployment-scenarios-01.txt
>   - GOAL: get feedback; gauge interest and the direction
> 
> IPv6 Fix: an activity to solve barriers to IPv6 transition, 
> 7-10 mins, Tatuya
>   - A new WIDE project to fix practical IPv6 deployment issues
>   - GOAL: inform the WG of activities, solicit the interested people
> 
> *** MAY BE SKIPPED IF RUNNING OUT OF TIME ***
> 
> Discussion of Teredo IETF LC comments, 5 mins, Huitema
>   - draft-huitema-v6ops-teredo-02.txt
>   - GOAL: describe and discuss the important IETF LC comments
> 
> IPv6 Security Overview - 5-7 mins, Davies
>   - draft-savola-v6ops-security-overview-03.txt
>   - GOAL: talk about differences, solicit more feedback
> 
> Things to think about when renumbering, 5-7 mins, Thompson
>   - draft-chown-v6ops-renumber-thinkabout-00.txt
>   - GOAL: introduce the draft, solicit feedback for next revision
> 
> IP Mobility Scenarios discussion, 5 mins, Gustafsson
>   - draft-larsson-v6ops-mip-scenarios-00.txt
>   - GOAL: update from the IP mobility scenarios/requirements 
> discussion
> 
> -END-
> 
>

---

From: Pekka Savola <[email-masked]>
Date: Wed, 10 Nov 2004 14:43:08 +0200 (EET)

Jim,

Just clarifying a few points below..

On Wed, 10 Nov 2004, Bound, Jim wrote:
> I want to be sure I read this correctly.  But, the way I read the 
> URLs below, which are all pretty good, there is no place to work on 
> transition mechanisms we all have been waiting to work on since 
> NGTRANS in the IETF. There is no protocol group to work on 
> transition mechanisms other than v6ops.

It was thought to be a good idea not to create a generic protocol 
working group, but rather use very focused ones or individual 
submission as appropriate.  This can of course be discussed during the 
sessions.

> can't really blame individuals can we now.

In case you haven't followed closely what has been happening, Teredo 
has already passed IETF Last Call for PS through an individual 
submission, and the WG being proposed seems to fulfill the problem 
space solved by tunnel brokers.

When the proposal was formulating, there was actually initially some 
discussion whether v4-over-v6 should be somehow included there. 
However, it was felt that that would de-focus this work, because we 
don't really know the scenarios and the requirements yet.  When those 
are clearer, it could be then decided what would be the most 
appropriate way to go forward with that work.

But again, this is something that can be discussed.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings